#include "dxhdr/d3dx10.h"

class D3D
{
public:
	enum ShaderVars{BINARY_SEARCH,OCCLUSION,TERRAIN,LIGHTING,DEFORMATION,DYNAMIC_SAMPLE};
	static bool init();
	static void cleanup();
	static void render();
	static void setViewMatrix(D3DXMATRIX& view,D3DXVECTOR3& eye);
	static void setProjectionMatrix(int width,int height);
	static void addCraters();
	static void toggleSetting(int setting);
};